.dot-separator {
  --gap: 0.25em;
  --dot-size: 0.25em;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  overflow: hidden;
  gap: 0 var(--gap);
}
.dot-separator > *:not(:last-child) {
  margin-right: calc(var(--gap) + var(--dot-size));
}
.dot-separator > *:not(:first-child) {
  padding-left: calc(var(--gap) + var(--dot-size));
  margin-left: calc(var(--gap) / -1 - var(--dot-size));
  position: relative;
}
.dot-separator > *:not(:first-child)::before {
  content: "";
  width: var(--dot-size);
  height: var(--dot-size);
  background-color: currentColor;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.blog-item__inner {
  max-width: var(--main-img-width);
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
  border-radius: 10px;
  overflow: hidden;
  container-type: inline-size;
  background-color: #ffffff;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  transition: box-shadow ease 0.4s;
}
@media (hover: hover) and (pointer: fine) {
  .blog-item__inner:hover {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  }
}
.blog-item__inner .tag-filtering__tags {
  flex: 0 auto;
}

.blog-item__img-outer {
  position: relative;
}
.blog-item__img-outer .tag-filtering__tags {
  position: absolute;
  left: 0.5rem;
  bottom: 0.5rem;
  z-index: 1;
}

.blog-item__details-btn {
  margin-top: auto;
}

.blog-item__data {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  padding: 0.75rem;
  row-gap: 0.75rem;
}

.blog-item__author-name {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.blog-item__title {
  margin-bottom: 0;
}

.blog-item__info {
  color: rgba(60, 74, 96, 0.7);
  font-size: 0.75rem;
}

.blog-item__details-btn {
  align-self: flex-end;
}

@supports (container-type: inline-size) {
  .blog-item__title {
    font-size: clamp(16px, 7.25cqi, 24px);
  }
  .blog-item__intro {
    font-size: clamp(12px, 4.75cqi, 16px);
  }
  .blog-item__details-btn {
    font-size: clamp(0.875rem, 4.75cqi, 1rem);
  }
}